Tunploy
APIReferenceServers

List servers

GET/servers

Needs the servers:read scope.

Authorization

apiKey
AuthorizationBearer <token>

An API key: tp_….

In: header

Query Parameters

country?string

Only servers in this country (ISO code).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/servers"
{  "data": [    {      "id": 0,      "name": "string",      "node": {        "id": 0,        "name": "string"      },      "country": "DE",      "city": "string",      "status": "running",      "endpoint": "string",      "listen_port": 0,      "public_key": "string",      "address": "10.8.0.1/24",      "subnet": "10.8.0.0/24",      "dns": [        "string"      ],      "dns_on_server": true,      "mtu": 0,      "persistent_keepalive": 0,      "client_allowed_ips": [        "string"      ],      "device_count": 0,      "capacity": 0,      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true}